package javax.swing;

import javax.swing.event.ChangeListener;

public interface BoundedRangeModel
{
    public abstract int getMinimum();
    
    public abstract void setMinimum(int p0);
    
    public abstract int getMaximum();
    
    public abstract void setMaximum(int p0);
    
    public abstract int getValue();
    
    public abstract void setValue(int p0);
    
    public abstract void setValueIsAdjusting(boolean p0);
    
    public abstract boolean getValueIsAdjusting();
    
    public abstract int getExtent();
    
    public abstract void setExtent(int p0);
    
    public abstract void setRangeProperties(int p0, int p1, int p2, int p3, boolean p4);
    
    public abstract void addChangeListener(ChangeListener p0);
    
    public abstract void removeChangeListener(ChangeListener p0);
}
